SystemOrganization addCategory: #'Installer-Test'!

TestCase subclass: #InstallerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Installer-Test'!

!InstallerTest methodsFor: 'as yet unclassified' stamp: 'kph 10/17/2006 13:18'!
testAnswerFillInTheBlank

| i r |

i := Installer new.

i answer: 'Test*' with: '1 2 3'.

r := [ FillInTheBlank request: 'Testing' ] valueSupplyingAnswers: i answers.

self assert: ( r = '1 2 3').! !

!InstallerTest methodsFor: 'as yet unclassified' stamp: 'kph 10/17/2006 13:33'!
testPrintString

self assert: (Installer new printString = '(Installer).')! !

!InstallerTest methodsFor: 'as yet unclassified' stamp: 'kph 10/17/2006 13:37'!
testPrintStringMC

self assert: ((Installer repository: 'http://www.squeaksource.com') printString = '(Installer repository:''http://www.squeaksource.com/'').')! !

!InstallerTest methodsFor: 'as yet unclassified' stamp: 'kph 10/17/2006 13:35'!
testPrintStringMCproject

self assert: (((Installer repository: 'http://www.squeaksource.com') project: 'Installer') printString = '(Installer repository:''http://www.squeaksource.com/'') project:''Installer''.')! !

!InstallerTest methodsFor: 'as yet unclassified' stamp: 'kph 10/17/2006 13:29'!
testPrintStringSM

self assert: (Installer squeakmap printString = '(Installer squeakmap).')! !

!InstallerTest methodsFor: 'as yet unclassified' stamp: 'kph 10/17/2006 13:29'!
testPrintStringSMproject

self assert: ((Installer squeakmap project:'Installer') printString = '(Installer squeakmap) project:''Installer''.')! !

!InstallerTest methodsFor: 'as yet unclassified' stamp: 'kph 10/21/2006 05:36'!
testSMPackageAndVersion

 | squeakmap package |

squeakmap := Installer squeakmap.

package := (squeakmap package: 'KomServices(1.0)') smPackageAndVersion.

self assert: (package first = 'KomServices'). 
self assert: (package last = '1.0'). ! !

!InstallerTest methodsFor: 'as yet unclassified' stamp: 'kph 10/17/2006 14:46'!
testSMPackageNoVersion

 | squeakmap package |

squeakmap := Installer squeakmap.

package := (squeakmap package: 'KomServices')  smPackageAndVersion.

self assert: (package first = 'KomServices'). 
self assert: (package last = ''). ! !

!InstallerTest methodsFor: 'as yet unclassified' stamp: 'kph 11/7/2006 18:59'!
testVersions

" self debug: #testVersions "
 
	| webVersions loaderVersions |

	webVersions := Installer websqueakmap package: 'Labby & Walker'; versions.
	loaderVersions := Installer squeakmap package: 'Labby & Walker'; versions.
	
	self assert: ( webVersions size = loaderVersions size )
	
	 ! !

!InstallerTest methodsFor: 'as yet unclassified' stamp: 'kph 10/21/2006 05:37'!
testWSMDownloadUrl

" self debug: #testWSMDownloadUrl "
 
	| squeakmap url |

	squeakmap := Installer websqueakmap.

	url := squeakmap package: 'Labby & Walker'; wsmDownloadUrl.
	
	self assert: ( url asString =  'http://map.squeak.org/accountbyid/b6941ed8-b7c7-4651-a555-259aa7d0cf90/files/Labyrinth17.st' )
	
	 ! !

!InstallerTest methodsFor: 'as yet unclassified' stamp: 'kph 10/21/2006 05:28'!
testWSMPackagesByName
 
	| squeakmap |

	squeakmap := Installer websqueakmap.

	self assert: (squeakmap packages size > 600)

 ! !
